std::add_pointer< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type

## Detailed Description

template<typename _Tp>
struct std::add_pointer< _Tp >

add_pointer

Definition at line 2048 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp, typename = void>

using std::__add_pointer_helper< _Tp, typename >::type

inherited

Definition at line 2040 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits